<template>
  <router-view />
</template>

<script lang="ts" setup>
import { onBeforeMount } from 'vue';

import { useUser } from './services/user';

const { getUser } = useUser();

onBeforeMount(() => {
  getUser();
});
</script>
<style lang="postcss" scoped></style>
